Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Class TransactionManager

    com.change_vision.jude.api.inf.editor.TransactionManager

    public class TransactionManager

Manage Transactions.

Method Summary
`static void` | `abortTransaction()` Abort Transaction.
`static void` | `beginTransaction()` Begin Transaction.
`static void` | `endTransaction()` End Transaction.
`static boolean` | `isInTransaction()` Check in transaction or not

Method Detail

### beginTransaction

    public static void beginTransaction()

  Begin Transaction.

  Throws:
    `BadTransactionException` - Invalid Transaction.
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager.beginTransaction()`

### endTransaction

    public static void endTransaction()

  End Transaction.

  Throws:
    `BadTransactionException` - Invalid Transaction.
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager.isInTransaction()`

### abortTransaction

    public static void abortTransaction()

  Abort Transaction.

  Throws:
    `BadTransactionException` - Invalid Transaction.
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager.isInTransaction()`

### isInTransaction

    public static boolean isInTransaction()

  Check in transaction or not

  Returns:
    true in transaction / false not in transaction
  See Also:
    `ProjectAccessorFactory#getProjectAccessor()`, `ProjectAccessor#getTransactionManager()`, `ITransactionManager.isInTransaction()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD